Summary:	Ghostscript IJS Plugin for the Epson EPL-5700L/5800L/5900L/6100L/6200L printers
Name:		epsoneplijs
Version:	0.4.1
Release:	%mkrel 16
Group:		System/Printing
License:	BSD
URL:		https://sourceforge.net/projects/epsonepl/
Source0:	https://downloads.sourceforge.net/epsonepl/epsoneplijs-%{version}.tgz
Patch0:		epsoneplijs-use_system_libs.diff
Patch1:		epsoneplijs-mandriva-install.diff
Patch2:		epsoneplijs-0.4.1-LDFLAGS.diff
Patch3:		epsoneplijs-0.4.1-inline.patch
BuildRequires:	libtool
BuildRequires:	pkgconfig(libusb)
BuildRequires:	libieee1284-devel
Requires:	ghostscript >= 6.53

%description
Support for the Epson EPL-5700L/5800L/5900L/6100L/6200L printer family under
linux and other unix-like systems.
It is known to work for at least one user for each of 5700L, 5800L,
5900L, and 6100L. 6100L and 6200L support is new.

%prep

%setup -q

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch -P 0 -p1 -b .use_system_libs
%patch -P 1 -p1 -b .mandriva-install
%patch -P 2 -p0 -b .LDFLAGS
%patch -P 3 -p1 -b .inline

%build
%serverbuild

perl -pi -e "s|-g -O2 -Wall -Werror -ansi -pedantic -Wmissing-prototypes|$CFLAGS -fPIC|g" Makefile.in

rm -f configure
libtoolize --force --copy; aclocal; autoconf

%configure \
    --with-kernelusb \
    --with-kernel1284 \
    --with-libusb \
    --with-libieee1284 

%make_build
%make_build test5700lusb

gcc $CFLAGS -fPIC -Wall %{ldflags} -o epl-5700 epl_docs/epl-5700.c
gcc $CFLAGS -fPIC -Wall %{ldflags} -o epl-5800 epl_docs/epl-5800.c
gcc $CFLAGS -fPIC -Wall %{ldflags} -o epl5x00l epl_docs/epl5x00l.c

%install
install -d %{buildroot}%{_bindir}

%makeinstall

install -m0755 ps2epl.pl %{buildroot}%{_bindir}
install -m0755 test5700lusb %{buildroot}%{_bindir}/
install -m0755 epl-5700 %{buildroot}%{_bindir}/
install -m0755 epl-5800 %{buildroot}%{_bindir}/
install -m0755 epl5x00l %{buildroot}%{_bindir}/

pushd foomatic_scripts
sh install_mandrake %{buildroot}
popd

%files
%doc ChangeLog FAQ LIMITATIONS README* *.pdf epl_test* apsfilter cups epl_docs/epl-protocol.pdf epl_docs/README.1st
%{_bindir}/*
%{_datadir}/cups/model/epson/*.ppd.gz
%{_datadir}/foomatic/db/source/driver/*.xml
%{_datadir}/foomatic/db/source/opt/*.xml




%changelog
* Sat Dec 21 2024 pterjan <pterjan> 0.4.1-16.mga10
+ Revision: 2127276
- Rebuild for patchN deprecation

* Sat Apr 16 2022 pterjan <pterjan> 0.4.1-15.mga9
+ Revision: 1850784
- Fix build on armv7hl with recent GCC

* Fri Mar 25 2022 umeabot <umeabot> 0.4.1-14.mga9
+ Revision: 1826228
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.4.1-13.mga8
+ Revision: 1512091
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.4.1-12.mga7
+ Revision: 1297615
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.4.1-11.mga6
+ Revision: 929862
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.1-10.mga5
+ Revision: 749957
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.1-9.mga5
+ Revision: 679022
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 0.4.1-8.mga5
+ Revision: 643571
- Replace libusb*-devel BuildRequires by better ones

* Fri Oct 18 2013 umeabot <umeabot> 0.4.1-7.mga4
+ Revision: 504101
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.4.1-6.mga3
+ Revision: 349706
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 23 2011 ennael <ennael> 0.4.1-5.mga1
+ Revision: 57983
- clean spec file
- imported package epsoneplijs

